# bigip_profile_analytics – Manage HTTP analytics profiles on a BIG-IP

New in version 2.8.

- Synopsis

- Parameters

- Notes

- Examples

- Return Values

- Status

## Synopsis

- Manage HTTP analytics profiles on a BIG-IP.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---

collect_geo
boolean

Choices:
- no
- yes

Enables or disables the collection of the names of the countries from where the traffic was sent.

collect_ip
boolean

Choices:
- no
- yes

Enables or disables the collection of client IPs statistics.

collect_max_tps_and_throughput
boolean

Choices:
- no
- yes

Enables or disables the collection of maximum TPS and throughput for all collected entities.

collect_page_load_time
boolean

Choices:
- no
- yes

Enables or disables the collection of the page load time statistics.

collect_url
boolean

Choices:
- no
- yes

Enables or disables the collection of requested URL statistics.

collect_user_agent
boolean

Choices:
- no
- yes

Enables or disables the collection of user agents.

collect_user_sessions
boolean

Choices:
- no
- yes

Enables or disables the collection of the unique user sessions.

collected_stats_external_logging
boolean

Choices:
- no
- yes

Enables or disables the external logging of the collected statistics.

collected_stats_internal_logging
boolean

Choices:
- no
- yes

Enables or disables the internal logging of the collected statistics.

description string |  | Description of the profile.
external_logging_publisher string |  | Specifies the external logging publisher used to send statistical data to one or more destinations.
name string / required |  | Specifies the name of the profile.

notification_by_email
boolean

Choices:
- no
- yes

Enables or disables sending the analytics alerts by email.

notification_by_syslog
boolean

Choices:
- no
- yes

Enables or disables logging of the analytics alerts into the Syslog.

notification_email_addresses list |  | Specifies which email addresses receive alerts by email when `notification_by_email` is enabled.
parent string |  | Specifies the profile from which this profile inherits settings. When creating a new profile, if this parameter is not specified, the default is the system-supplied `analytics` profile.
partition string | Default: "Common" | Device partition to manage resources on.
provider dictionary added in 2.5 |  | A dict object containing connection details.
| auth_provider string |  | Configures the auth provider for to obtain authentication tokens from the remote device. This option is really used when working with BIG-IQ devices.
| password string / required |  | The password for the user account used to connect to the BIG-IP. You may omit this option by setting the environment variable `F5_PASSWORD`. aliases: pass, pwd
| server string / required |  | The BIG-IP host. You may omit this option by setting the environment variable `F5_SERVER`.
| server_port integer | Default: 443 | The BIG-IP server port. You may omit this option by setting the environment variable `F5_SERVER_PORT`.
| ssh_keyfile path |  | Specifies the SSH keyfile to use to authenticate the connection to the remote device. This argument is only used for cli transports. You may omit this option by setting the environment variable `ANSIBLE_NET_SSH_KEYFILE`.
| timeout integer |  | Specifies the timeout in seconds for communicating with the network device for either connecting or sending commands. If the timeout is exceeded before the operation is completed, the module will error.

transport
string

Choices:
- cli
- rest ←

Configures the transport connection to use when connecting to the remote device.

| user string / required |  | The username to connect to the BIG-IP with. This user must have administrative privileges on the device. You may omit this option by setting the environment variable `F5_USER`.

validate_certs
boolean

Choices:
- no
- yes ←

If `no`, SSL certificates are not validated. Use this only on personally controlled sites using self-signed certificates.
You may omit this option by setting the environment variable `F5_VALIDATE_CERTS`.

state
string

Choices:
- present ←
- absent

When `present`, ensures that the profile exists.
When `absent`, ensures the profile is removed.

## Notes

Note

- For more information on using Ansible to manage F5 Networks devices see https://www.ansible.com/integrations/networks/f5.

- Requires BIG-IP software version >= 12.

- The F5 modules only manipulate the running configuration of the F5 product. To ensure that BIG-IP specific configuration persists to disk, be sure to include at least one task that uses the bigip_config module to save the running configuration. Refer to the module’s documentation for the correct usage of the module to save your running configuration.

## Examples

    - name: Create a profile
      bigip_profile_analytics:
        name: profile1
        provider:
          password: secret
          server: lb.mydomain.com
          user: admin
      delegate_to: localhost

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
param1 boolean | changed | The new param1 value of the resource. Sample: True
param2 string | changed | The new param2 value of the resource. Sample: Foo is bar

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by an Ansible Partner. [certified]

### Authors

- Tim Rupp (@caphrim007)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.